<?php

namespace App\Services\Equipment\Part;

use App\Services\Equipment\EquipmentService;
use CodeIgniter\HTTP\IncomingRequest;

abstract class PartService extends EquipmentService
{
    protected function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Part');
    }
}
